Bug 1129940 - RFE: skip email verification when using a trusted authentication provider
Summary: RFE: skip email verification when using a trusted authentication provider
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Zanata
Classification: Retired
Component: Authentication-Fedora
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Damian Jansen
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 03:53 UTC by David Mason
Modified: 2015-07-29 03:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 03:29:18 UTC


Attachments (Terms of Use)

Description David Mason 2014-08-14 03:53:25 UTC
Description of problem:
Some Zanata servers may be set up with a single authentication provider that is trusted to provide valid email addresses. It should be possible to configure a Zanata server to use email addresses from a trusted provider without a validation step.

For example, an OpenID provider may be used which always provides an email address that it has already validated.

Comment 1 Luke Brooker 2014-10-20 23:54:38 UTC
We really should start looking at OAuth too. I think Phabricators implementation of this is a good one to go off.

Comment 2 Zanata Migrator 2015-07-29 03:29:18 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-290


Note You need to log in before you can comment on or make changes to this bug.